From ee8cc8bef52ba4f4256fe18e4994da670e830744 Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Mar 26 2022 09:57:45 +0000
Subject: [PATCH 7/28] [iceweasel]: tweak for i686


---

diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index 006579d..cf74fea 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -63,8 +63,9 @@ makedepends=(unzip zip diffutils yasm mesa imake inetutils xorg-server-xvfb
              wasi-compiler-rt wasi-libc wasi-libc++ wasi-libc++abi)
 makedepends+=(quilt libxslt imagemagick git jq python-jsonschema)
 makedepends+=(libvpx=1.11.0-1)
-makedepends_i686=(gcc10)
 [[ "${CARCH}" == i686 ]] && makedepends=( ${makedepends[*]/jack/jack2} )
+[[ "${CARCH}" == i686 ]] && makedepends=( ${makedepends[*]/llvm/llvm12} )
+makedepends_i686=(gcc10) # cannot build i686 today - rust is unusable
 makedepends_i686+=(wasi-compiler-rt=12.0.1 wasi-libc++=12.0.1 wasi-libc++abi=12.0.1) # wasi-libc=???)
 optdepends=('networkmanager: Location detection via available WiFi networks'
             'libnotify: Notification integration'

